{ pkgs, ... }:
{
  services.caddy = {
    enable = true;
    configFile = pkgs.writeText "Caddyfile" ''
      http://nzbget.home.2rjus.net {
          reverse_proxy http://nzbget-jail.home.2rjus.net:6789
      }

      http://radarr.home.2rjus.net {
          reverse_proxy http://radarr-jail.home.2rjus.net:7878
      }

      http://sonarr.home.2rjus.net {
          reverse_proxy http://sonarr-jail.home.2rjus.net:8989
      }
      http://ha.home.2rjus.net {
          reverse_proxy http://ha1.home.2rjus.net:8123
      }
      http://z2m.home.2rjus.net {
          reverse_proxy http://ha1.home.2rjus.net:8080
      }
    '';
  };
}
